Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DPBRFS

    java.lang.Object
      org.netlib.lapack.DPBRFS

    public class DPBRFS

extends java.lang.Object

    DPBRFS is a simplified interface to the JLAPACK routine dpbrfs.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DPBRFS improves the computed solution to a system of linear
     *  equations when the coefficient matrix is symmetric positive definite

     *  and banded, and provides error bounds and backward error estimates
     *  for the solution.
     *
     *  Arguments
     *  =========
     *
     *  UPLO    (input) CHARACTER*1
     *          = 'U':  Upper triangle of A is stored;
     *          = 'L':  Lower triangle of A is stored.
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.
     *
     *  KD      (input) INTEGER
     *          The number of superdiagonals of the matrix A if UPLO = 'U',
     *          or the number of subdiagonals if UPLO = 'L'.  KD >= 0.
     *
     *  NRHS    (input) INTEGER
     *          The number of right hand sides, i.e., the number of columns
     *          of the matrices B and X.  NRHS >= 0.
     *
     *  AB      (input) DOUBLE PRECISION array, dimension (LDAB,N)
     *          The upper or lower triangle of the symmetric band matrix A,
     *          stored in the first KD+1 rows of the array.  The j-th column

     *          of A is stored in the j-th column of the array AB as follows:
     *          if UPLO = 'U', AB(kd+1+i-j,j) = A(i,j) for max(1,j-kd)<=i<=j;
     *          if UPLO = 'L', AB(1+i-j,j)    = A(i,j) for j<=i<=min(n,j+kd).
     *
     *  LDAB    (input) INTEGER
     *          The leading dimension of the array AB.  LDAB >= KD+1.
     *
     *  AFB     (input) DOUBLE PRECISION array, dimension (LDAFB,N)
     *          The triangular factor U or L from the Cholesky factorization

     *          A = U**T*U or A = L*L**T of the band matrix A as computed by

     *          DPBTRF, in the same storage format as A (see AB).
     *
     *  LDAFB   (input) INTEGER
     *          The leading dimension of the array AFB.  LDAFB >= KD+1.
     *
     *  B       (input) DOUBLE PRECISION array, dimension (LDB,NRHS)
     *          The right hand side matrix B.
     *
     *  LDB     (input) INTEGER
     *          The leading dimension of the array B.  LDB >= max(1,N).
     *
     *  X       (input/output) DOUBLE PRECISION array, dimension (LDX,NRHS)
     *          On entry, the solution matrix X, as computed by DPBTRS.
     *          On exit, the improved solution matrix X.
     *
     *  LDX     (input) INTEGER
     *          The leading dimension of the array X.  LDX >= max(1,N).
     *
     *  FERR    (output) DOUBLE PRECISION array, dimension (NRHS)
     *          The estimated forward error bound for each solution vector
     *          X(j) (the j-th column of the solution matrix X).
     *          If XTRUE is the true solution corresponding to X(j), FERR(j)

     *          is an estimated upper bound for the magnitude of the largest

     *          element in (X(j) - XTRUE) divided by the magnitude of the
     *          largest element in X(j).  The estimate is as reliable as
     *          the estimate for RCOND, and is almost always a slight
     *          overestimate of the true error.
     *
     *  BERR    (output) DOUBLE PRECISION array, dimension (NRHS)
     *          The componentwise relative backward error of each solution
     *          vector X(j) (i.e., the smallest relative change in
     *          any element of A or B that makes X(j) an exact solution).
     *
     *  WORK    (workspace) DOUBLE PRECISION array, dimension (3*N)
     *
     *  IWORK   (workspace) INTEGER array, dimension (N)
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *
     *  Internal Parameters
     *  ===================
     *
     *  ITMAX is the maximum number of steps of iterative refinement.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DPBRFS()`

Method Summary
`static void` | `DPBRFS(java.lang.String uplo, int n, int kd, int nrhs, double[][] ab, double[][] afb, double[][] b, double[][] x, double[] ferr, double[] berr, double[] work, int[] iwork, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DPBRFS

    public DPBRFS()

Method Detail

### DPBRFS

    public static void DPBRFS(java.lang.String uplo,
                              int n,
                              int kd,
                              int nrhs,
                              double[][] ab,
                              double[][] afb,
                              double[][] b,
                              double[][] x,
                              double[] ferr,
                              double[] berr,
                              double[] work,
                              int[] iwork,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD